class orbinuidMFD: public MFD {
public:
  orbinuidMFD (DWORD w, DWORD h, VESSEL *vessel);
  ~orbinuidMFD ();
  bool ConsumeKeyBuffered (DWORD key);
  void Update (HDC hDC);
  void PrintNewLine(char* TextOut);
  static int MsgProc (UINT msg, UINT mfinald, WPARAM wparam, LPARAM lparam);
  int ButtonMenu (const MFDBUTTONMENU **menu) const;
  char *ButtonLabel (int bt);
  bool ConsumeButton(int bt, int event);
protected:
  VESSEL *messel;
  int height;
  int width;

private:
  int line( int );
  HDC MFD_HDC;
  double DoubleUnit;
  void pong(bool newball);
  void CreateBlocks();
  void DrawBlocks();
  bool first;
  void CheckBlockCollision();
  void CheckWon();
  void PrintEngUnit(HDC hDC, char* label, double value, int x, int l);
  void CheckEdges();
  void MoveBall();
  void DrawBall();
  void DrawCursor();
  void GetMousePos();
  void PutMenueText(bool ReleaseText);
  void WatchForRelease();
  bool boolean_debugVar;
  struct Ball
  {
     double X_Pos;
	 double Y_Pos;
     double X_Vec;
	 double Y_Vec;
	 int Radius;
	 bool free;
  }MyBall;
  struct PCursor
  {
	 int gnd;
	 int left;
	 int width;
	 int height;

  } Cursor;
  struct Block
  {
     int X_Left;
	 int Y_Top;
	 int width;
	 int height;
	 int lives;
	 int color;
	 bool exist;
  } Blocks[BLOCKCOUNTS];
  struct Player
  {
     int Balls;
	 int Score;
	 int level;
	// bool GameOver;
  }Player1;
  struct Gamestr
  {
	  bool Over;
	  bool NewBall;
	  bool FirstZyclus;
  }Game;
};
